Skip to main content
POST
/
v1
/
batches
/
{batch_id}
/
cancel
Cancel Batch Endpoint
curl --request POST \
  --url https://api.extract.page/v1/batches/{batch_id}/cancel \
  --header 'X-API-KEY: <api-key>'
{
  "id": "<string>",
  "status": "<string>",
  "counts": {
    "pending": 0,
    "running": 0,
    "succeeded": 0,
    "failed": 0,
    "cancelled": 0
  },
  "total_items": 123,
  "engine": "<string>",
  "options": {},
  "created_at": "<string>",
  "expires_at": "<string>",
  "object": "batch",
  "metadata": {},
  "started_at": "<string>",
  "completed_at": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://docs.extract.page/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

X-API-KEY
string
header
required

Path Parameters

batch_id
string
required

Response

Successful Response

id
string
required
status
string
required
counts
BatchCounts · object
required
total_items
integer
required
engine
string | null
required
options
Options · object
required
created_at
string
required
expires_at
string
required
object
string
default:batch
metadata
Metadata · object
started_at
string | null
completed_at
string | null